> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account offer template

> Retrieve a game-specific template with all required and optional fields for creating an account offer for the specified game.



## OpenAPI

````yaml /api/openapi.json get /v2/account-offers/templates/{game}
openapi: 3.1.0
info:
  title: GameBoost
  version: 2.0.0
servers:
  - url: https://api.gameboost.com
    description: GameBoost API
security:
  - BearerTokenSecurityScheme: []
tags:
  - name: Games
    description: Games
  - name: Seller Breaks
    description: Seller Breaks
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: Account Offers
    description: Account Offers
  - name: Account Orders
    description: Account Orders
  - name: Item Offers
    description: Item Offers
  - name: Item Orders
    description: Item Orders
  - name: Currency Offers
    description: Currency Offers
  - name: Currency Orders
    description: Currency Orders
  - name: Webhooks
    description: Webhook events sent to your endpoints when specific actions occur
  - name: Gift Card Offers
    description: Gift Card Offers
  - name: Gift Card Orders
    description: Gift Card Orders
paths:
  /v2/account-offers/templates/{game}:
    get:
      tags:
        - Account Offers
      summary: Get account offer template
      description: >-
        Retrieve a game-specific template with all required and optional fields
        for creating an account offer for the specified game.
      parameters:
        - name: game
          in: path
          description: The slug of the game. Can be retrieved from the list of games.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Account offer creation template for a specific game
          content:
            application/json:
              schema:
                type: object
                properties:
                  template:
                    type: object
                    properties:
                      game:
                        type: string
                        example: league-of-legends
                      title:
                        type: string
                        example: Sample Title
                      slug:
                        type: string
                        example: (optional) sample-slug
                      price:
                        type: number
                        example: 10.99
                      login:
                        type: string
                        example: sample_login
                      password:
                        type: string
                        example: sample_password
                      email_login:
                        type: string
                        example: (optional) sample_email@example.com
                      email_password:
                        type: string
                        example: (optional) sample_email_password
                      is_manual:
                        type: string
                        example: (optional) false
                      delivery_time:
                        type: object
                        properties:
                          duration:
                            type: integer
                            example: 10
                          unit:
                            type: string
                            example: minutes/hours/days
                      description:
                        type: string
                        example: Sample description of the account.
                      dump:
                        type: string
                        example: (optional) keywords and tags
                      delivery_instructions:
                        type: string
                        example: (optional) Sample delivery instructions
                      image_urls:
                        type: array
                        items:
                          type: string
                          example: http://example.com/sample-image.jpg
                      account_data:
                        description: >-
                          Game-specific account data fields (structure varies by
                          game)
                        type: object
                        nullable: true
                      game_items:
                        description: >-
                          Game-specific items grouped by collection type (e.g.,
                          champions, skins). Structure varies by game and may
                          not be present for all games.
                        type: object
                        nullable: true
        '401':
          $ref: '#/components/responses/ErrorUnauthenticated'
        '404':
          $ref: '#/components/responses/ErrorNotFound'
        '429':
          $ref: '#/components/responses/ErrorRateLimited'
      security:
        - BearerToken: []
components:
  responses:
    ErrorUnauthenticated:
      description: >-
        User is not authenticated, happens when the API key is missing, expired
        or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthenticated.
    ErrorNotFound:
      description: Resource not found, happens when the requested resource does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found.
    ErrorRateLimited:
      description: >-
        Rate limit exceeded, happens when you exceed the rate limit for the
        endpoint
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Too many requests.
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````